Bug 288276 - Clock isn't repainted if changing panel orientation
Summary: Clock isn't repainted if changing panel orientation
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-clock (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-05 17:44 UTC by Rolf Eike Beer
Modified: 2011-12-06 09:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer 2011-12-05 17:44:42 UTC
Version:           unspecified (using Devel) 
OS:                Linux

 

Reproducible: Always

Steps to Reproduce:
Take a horizontal panel with a digital clock in it. Change the orientation to vertical.

Actual Results:  
The clock is only repainted on the next minute change.

Expected Results:  
The clock should be repainted immediately.
Comment 1 Blagovest Zlatev 2011-12-05 20:45:26 UTC
The bug isn't reproducible or a duplicate.
Comment 2 Rolf Eike Beer 2011-12-05 21:01:08 UTC
The bug was reproduced by kbroulik_ on #plasma today.
Comment 3 Aaron J. Seigo 2011-12-06 09:35:25 UTC
Git commit 9ed53f9953b88081037594807937d61a0ae80d41 by Aaron Seigo.
Committed on 06/12/2011 at 10:35.
Pushed by aseigo into branch 'master'.

issue on update on calculating the size

BUG:288276

M  +2    -2    plasma/generic/applets/digital-clock/clock.cpp

http://commits.kde.org/kde-workspace/9ed53f9953b88081037594807937d61a0ae80d41